<header>
    <div class="header-topbar header-topbar-style-1">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-6 col-xs-12">
                    <div class="header-top-left">
                        <ul>
                            {% if app.user %}
                                <li>
                                    Welcome back {{ app.user.fullName }}
                                </li>
                            {% else %}
                                <li>
                                    <a href="{{ path('app_login') }}">Login</a>
                                </li>
                                <li>
                                    <a href="{{ path('app_register') }}">Register</a>
                                </li>
                            {% endif %}
                        </ul>
                    </div>
                </div>
                {% if app.user %}
                    <div class="col-md-6  col-xs-12 ">
                        <div class="header-top-right">
                            <ul>
                                <li>
                                    <div class="switcher menu_page my_acc">
                                        <ul>
                                            <li class="switcher-menu-active">
                                                <a href="{{ path('app_user_dashboard') }}">Profile Menu</a>
                                                <ul class="switcher__menus">
                                                    <li class="switcher-menu-item">
                                                        <a href="{{ path('app_user_dashboard') }}">Dashboard</a>
                                                    </li>
                                                    <li class="switcher-menu-item">
                                                        <a href="{{ path('app_user_factors') }}">Factors</a>
                                                    </li>
                                                    <li class="switcher-menu-item">
                                                        <a href="{{ path('app_user_profile') }}">Account details</a>
                                                    </li>
                                                    <li class="switcher-menu-item">
                                                        <a href="{{ path('app_logout') }}">Logout</a>
                                                    </li>
                                                </ul>
                                            </li>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>

    <div class="header_area hdr_1">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-2 col-xs-12">
                    <div class="logo_area">
                        <a href="{{ path('app_home_index') }}">
                            <img src="assets/img/logo/logo.png" alt="Benco">
                        </a>
                    </div>
                </div>
                <div class="col-md-8 col-xs-12">
                    <div class="main_menu_area">
                        <div class="main-menu">
                            <nav>
                                <ul>
                                    <li {% if app.request.get('_route') == 'app_home_index' %} class="active" {% endif %}><a href="{{ path("app_home_index") }}">Home</a></li>

                                    <li {% if app.request.get('_route') == 'app_product_index' %} class="active" {% endif %}><a href="{{ path('app_product_index') }}">Shop</a></li>

                                    {% if is_granted("ROLE_ADMIN") %}
                                        <li><a href="#">ADMIN <i class="ion-ios-arrow-down"></i></a>
                                            <ul class="mega-menu">
                                                <li>
                                                    <ul>
                                                        <li class="mega-menu-title">Product</li>
                                                        <li><a href="{{ path('admin_product_index') }}"> List of product</a></li>
                                                        <li><a href="{{ path('admin_product_create') }}"> Create product</a></li>
                                                    </ul>
                                                </li>
                                                <li>
                                                    <ul>
                                                        <li class="mega-menu-title">Category</li>
                                                        <li><a href="{{ path('admin_category_index') }}"> List of category</a></li>
                                                        <li><a href="{{ path('admin_category_create') }}"> Create category</a></li>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                    {% endif %}
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
                <div class="col-md-2 col-xs-12">
                    <div class="header-site-icon">

                        {% if app.user %}
                        <div class="header-cart same-style">
                            <div class="sidebar-trigger">
                                <ul>
                                    <li>
                                        <a href="{{ path('app_cart_order') }}">
                                            <i class="zmdi zmdi-shopping-cart-plus"></i>
                                            {% if globalOrders %}
                                            <span class="count-style">{{ globalOrders|length }}</span>
                                            {% endif %}
                                        </a>

                                        {% if globalOrders %}
                                            <ul class="ht-dropdown main-cart-box">
                                                <li class="with_scroll">

                                                    {% set globalTotalPrice = 0 %}
                                                    {% for order in globalOrders %}
                                                        <div class="single-cart-box">
                                                            <div class="cart-img">
                                                                <a href="{{ path('app_product_show',{'slug':order.product.slug}) }}">
                                                                    <img src="{{ asset(order.product.imagePath) }}" alt="{{ order.product.title }}" width="100">
                                                                </a>
                                                            </div>
                                                            <div class="cart-content">
                                                                <h6>
                                                                    <a href="{{ path('app_product_show',{'slug':order.product.slug}) }}">{{ order.product.title }}</a>
                                                                </h6>
                                                                <span class="quantitys">{{ order.product.category.title }}</span>
                                                                <span>$<span class="money">{{ order.finalPrice }}</span></span>
                                                            </div>
                                                        </div>
                                                        {% set globalTotalPrice = globalTotalPrice + order.finalPrice %}
                                                    {% endfor %}

                                                </li>
                                                <li>
                                                    <!-- Cart Footer Inner Start -->
                                                    <div class="cart-footer fix">
                                                        <h5>Subtotal :
                                                            <span class="f-right">$<span class="money">{{ globalTotalPrice }}</span></span>
                                                        </h5>
                                                        <div class="cart-actions">
                                                            <a href="{{ path('app_cart_order') }}" class="checkout">View cart</a>
                                                            <a href="{{ path('app_cart_checkout') }}" class="checkout">Checkout</a>
                                                        </div>
                                                    </div>
                                                    <!-- Cart Footer Inner End -->
                                                </li>
                                            </ul>
                                        {% endif %}
                                    </li>
                                </ul>
                            </div>
                        </div>
                        {% endif %}


                    </div>
                </div>

                <div class="mobile-menu-area ">
                    <div class="mobile-menu">
                        <nav id="mobile-menu-active">
                            <ul class="menu-overflow">
                                <li class="active"><a href="#">home <i class="ion-ios-arrow-down"></i></a>
                                    <ul>
                                        <li><a href="index.html">home version 1</a></li>
                                        <li><a href="index-2.html">home version 2</a></li>
                                        <li><a href="index-3.html">home version 3</a></li>
                                        <li><a href="index-4.html">home version 4</a></li>
                                        <li><a href="index-5.html">home version 5</a></li>
                                        <li><a href="index-6.html">home version 6</a></li>
                                    </ul>
                                </li>

                                <li><a href="about-us.html">about us </a></li>

                                <li><a href="shop.html">Shop</a></li>

                                <li><a href="blog.html">blog</a></li>

                                <li><a href="#">Features <i class="ion-ios-arrow-down"></i></a>
                                    <ul>
                                        <li><a href="portfolio.html"> portfolio</a></li>
                                        <li><a href="service.html"> service One</a></li>
                                        <li><a href="service-2.html"> service Two</a></li>
                                        <li><a href="faq.html"> FAQ Page</a></li>
                                        <li><a href="404.html"> 404 Error </a></li>
                                        <li><a href="single-blog.html"> single blog</a></li>
                                        <li><a href="cart.html"> cart page</a></li>
                                        <li><a href="checkout.html"> Checkout Page</a></li>
                                        <li><a href="login-register.html"> login register</a></li>
                                        <li><a href="my-account.html"> my account Page</a></li>
                                        <li><a href="wishlist.html"> wishlist Page</a></li>
                                        <li><a href="product-details.html"> product details </a></li>
                                    </ul>
                                </li>

                                <li><a href="contact.html">contact us</a></li>
                            </ul>
                        </nav>
                    </div>
                </div>

            </div>
        </div>
    </div>
</header>

